<?php

	define("TEMPLATE_DIR", "../src/templates/default/");
	define("BASE_STYLE", "default.css");

	//header("Content-type: text/plain");

	// loading base style
	function load_style($name) {
		$fn = TEMPLATE_DIR.$name;
		$fh = fopen($fn, "r");
		$fc = fread($fh, filesize($fn));
		fclose($fh);
		preg_match_all("/\n([^\n]*)\s*?{.*?}/s", $fc, $match);
		foreach ($match[1] as $key => $val) {
			$match[1][$key] = trim(preg_replace("/\s/", "", $val));
		}
		return $match;
	}

	function compare_styles($base, $check) {
		$return = Array();
		foreach ($base[1] as $key => $tag) {
			if (!in_array($tag, $check[1])) {
				$return[] = $base[0][$key];
			}
		}
		return $return;
	}

	$base = load_style(BASE_STYLE);

	$dh = opendir(TEMPLATE_DIR);

	while (($file = readdir($dh)) !== false) {
		if (substr($file, -4) == ".css" && $file != BASE_STYLE) {
			echo "<h2>Comparing $file against ".BASE_STYLE."</h2>";
			$style = load_style($file);
			$diff = compare_styles($base, $style);
			echo "<pre><code>";
			foreach ($diff as $css) {
				echo $css;
			}
			echo "</code></pre>";
			echo "<hr />";
		}
	}

	closedir($dh);

?>